| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams Class Reference

Unscented Kalman filter parameters. The class for initialization parameters of Unscented Kalman filter. More...

`#include <opencv2/tracking/kalman_filters.hpp>`

Collaboration diagram for cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams:

## Public Member Functions
| UnscentedKalmanFilterParams ()
| UnscentedKalmanFilterParams (int dp, int mp, int cp, double processNoiseCovDiag, double measurementNoiseCovDiag, Ptr< UkfSystemModel > dynamicalSystem, int type=CV_64F)
void | init (int dp, int mp, int cp, double processNoiseCovDiag, double measurementNoiseCovDiag, Ptr< UkfSystemModel > dynamicalSystem, int type=CV_64F)

## Public Attributes
double | alpha
| Default is 1e-3.
double | beta
| Default is 2.0.
int | CP
| Dimensionality of the control vector.
int | dataType
| Type of elements of vectors and matrices, default is CV_64F.
int | DP
| Dimensionality of the state vector.
Mat | errorCovInit
| State estimate cross-covariance matrix, DP x DP, default is identity.
double | k
| Default is 0.
Mat | measurementNoiseCov
| Measurement noise cross-covariance matrix, MP x MP.
Ptr< UkfSystemModel > | model
| Object of the class containing functions for computing the next state and the measurement.
int | MP
| Dimensionality of the measurement vector.
Mat | processNoiseCov
| Process noise cross-covariance matrix, DP x DP.
Mat | stateInit
| Initial state, DP x 1, default is zero.

## Detailed Description

Unscented Kalman filter parameters. The class for initialization parameters of Unscented Kalman filter.

## Constructor & Destructor Documentation

## ◆ UnscentedKalmanFilterParams() [1/2]

cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::UnscentedKalmanFilterParams | ( |  | ) |
| inline

The constructors.

## ◆ UnscentedKalmanFilterParams() [2/2]

cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::UnscentedKalmanFilterParams | ( | int | dp,
|  | int | mp,
|  | int | cp,
|  | double | processNoiseCovDiag,
|  | double | measurementNoiseCovDiag,
|  | Ptr< UkfSystemModel > | dynamicalSystem,
|  | int | type = CV_64F )

Parameters

  dp | - dimensionality of the state vector,
  mp | - dimensionality of the measurement vector,
  cp | - dimensionality of the control vector,
  processNoiseCovDiag | - value of elements on main diagonal process noise cross-covariance matrix,
  measurementNoiseCovDiag | - value of elements on main diagonal measurement noise cross-covariance matrix,
  dynamicalSystem | - ptr to object of the class containing functions for computing the next state and the measurement,
  type | - type of the created matrices that should be CV_32F or CV_64F.

## Member Function Documentation

## ◆ init()

void cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::init | ( | int | dp,
|  | int | mp,
|  | int | cp,
|  | double | processNoiseCovDiag,
|  | double | measurementNoiseCovDiag,
|  | Ptr< UkfSystemModel > | dynamicalSystem,
|  | int | type = CV_64F )

The function for initialization of Unscented Kalman filter

Parameters

  dp | - dimensionality of the state vector,
  mp | - dimensionality of the measurement vector,
  cp | - dimensionality of the control vector,
  processNoiseCovDiag | - value of elements on main diagonal process noise cross-covariance matrix,
  measurementNoiseCovDiag | - value of elements on main diagonal measurement noise cross-covariance matrix,
  dynamicalSystem | - ptr to object of the class containing functions for computing the next state and the measurement,
  type | - type of the created matrices that should be CV_32F or CV_64F.

## Member Data Documentation

## ◆ alpha

double cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::alpha

Default is 1e-3.

## ◆ beta

double cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::beta

Default is 2.0.

## ◆ CP

int cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::CP

Dimensionality of the control vector.

## ◆ dataType

int cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::dataType

Type of elements of vectors and matrices, default is CV_64F.

## ◆ DP

int cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::DP

Dimensionality of the state vector.

## ◆ errorCovInit

Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::errorCovInit

State estimate cross-covariance matrix, DP x DP, default is identity.

## ◆ k

double cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::k

Default is 0.

## ◆ measurementNoiseCov

Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::measurementNoiseCov

Measurement noise cross-covariance matrix, MP x MP.

## ◆ model

Ptr<UkfSystemModel> cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::model

Object of the class containing functions for computing the next state and the measurement.

## ◆ MP

int cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::MP

Dimensionality of the measurement vector.

## ◆ processNoiseCov

Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::processNoiseCov

Process noise cross-covariance matrix, DP x DP.

## ◆ stateInit

Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams::stateInit

Initial state, DP x 1, default is zero.

The documentation for this class was generated from the following file:

- opencv2/tracking/kalman_filters.hpp